using APT.Infrastructure.Core;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    /// <summary>
    ///打印机
    /// </summary>
    [Description("打印机表")]
   [IgnoreT4]public class T_FM_PRINTER : MesEntityBase
	{
		/// <summary>编号</summary>
		[CUnique]
		[Description("编号")]
		public string CODE { get; set; }

		/// <summary>名称</summary>
		[Description("名称")]
        [AcronymField("NAME_ACRONYM")]
        public string NAME { get; set; }

        /// <summary>
        /// 名称首字母缩写
        /// </summary>
        [Description("名称首字母缩写")]
        public string NAME_ACRONYM { get; set; }
        /// <summary>打印模板文件名称</summary>
        [Description("打印模板文件名称")]
		public string TEMPLET_FILE_NAME { get; set; }

		/// <summary>打印机名称</summary>
		[Description("打印机名称")]
		public string PRINTER_NAME { get; set; }

		/// <summary>打印机主机名</summary>
		[Description("打印机主机名")]
		public string PRINTER_COMPUTER_NAME { get; set; }

		/// <summary>备注</summary>
		[Description("备注")]
		public string REMARK { get; set; }
	}
}
